Bug 213815 - Missing shortcuts in Keyboard Shortcuts Card
Missing shortcuts in Keyboard Shortcuts Card
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: IDE
7.2
PC Windows 7
: P3 (vote)
: 7.2
Assigned To: Kenneth Ganfield
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 11:44 UTC by Tomas Pavek
Modified: 2012-06-11 15:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pavek 2012-06-08 11:44:14 UTC
When you'll be updating the shortcuts card to "7.2" please consider adding the following two really basic shortcuts for working with the editor windows.

1) Ctrl-Alt-PgUp/PgDown: Shortcuts for switching between editor types (e.g. Source, Design, History buttons) should be mentioned on the Keyboard Shortcuts Card that opens from the Help menu. 

Switching between the editor types is a frequent operation sometimes, e.g. when using GUI builder, and while it can be done easily via mouse, or from View | Editors menu, it is very handy to know the shortcuts as well.

2) Ctrl-PgUp/PgDown: Similarly it's strange that the shortcuts for switching to next/previous opened document (tab) in editor are missing. Note this is not like Ctrl-Tab that cycles in the last used order, but going through the tabs as they appear in the editor.


Both shortcuts should fit into the "Opening and Toggling between Views" section. I think these are important to mention on the card because they are not visible anywhere else in the UI (as there are no menu items like "Go to next/previous editor type" or "Go to next/previous document").


BTW the "Alt-Shift-D Undock window" mentioned in the same section is wrong. The shortcut is for "Dock" action, but that is normally disabled. You have to "undock" first, which is done via "Float" action that has no shortcuts. IMHO not worth mentioning on the card, not really useful.
Comment 1 Kenneth Ganfield 2012-06-08 14:38:37 UTC
Updated shortcut card for PC to add shortcuts.
Did not update OS X shortcuts because the pgdn and pgup keys are not usually used
Comment 2 Quality Engineering 2012-06-09 04:34:59 UTC
Integrated into 'main-golden', will be available in build *201206090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e48e089e7610
User: kganfield <kganfield@netbeans.org>
Log: #213815, update shortcuts for pc for switching views, editors


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo